Subject: Re: Broken C code
From: Chris Faylor <[email-masked]>
To: Stephen Davies <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Jan 2000 16:58:08 -0500

On Fri, Jan 28, 2000 at 04:49:04PM +1030, Stephen Davies wrote:
>OK. That does solve the problem:-))
>
>My specs file looked OK but did not include the declspec define. Adding it in 
>got me going again.
>
>At least, it gets me to the point where I can compile and run the executable.
>
>It is not the complete answer though. I still get several hundred:
>
>warning: 'dllexport' attribute directive ignored
>
>messages.
>
>Also, it does not explain what happened to break my setup.
>
>Is this declspec definition in specs new?
>
>What is it for?

It may be new.  I don't remember how it used to be done.  Possibly it was just
compiled into gcc.

>Thanks again Chris,

I don't think I really solved your problem.  In fact, I may have just complicated
things with my suggestion.  I just don't remember what that version of the compiler
was like.

If gcc is choking on the __attribute__(dllexport) then my suggestion is probably
wrong.  Sorry.

Have you tried doing a compile with "gcc -v" and verifying that all of the paths
are as you'd expect?

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]